# Poisson
[Random Number Distributions]

Collaboration diagram for Poisson:

## Classes

- class std::discrete_distribution< _IntType >
    A discrete_distribution random number distribution. More...
- class std::exponential_distribution< _RealType >
    An exponential continuous distribution for random numbers. More...
- class std::extreme_value_distribution< _RealType >
    A extreme_value_distribution random number distribution. More...
- class std::piecewise_constant_distribution< _RealType >
    A piecewise_constant_distribution random number distribution. More...
- class std::piecewise_linear_distribution< _RealType >
    A piecewise_linear_distribution random number distribution. More...
- class std::poisson_distribution< _IntType >
    A discrete Poisson random number distribution. More...
- class std::weibull_distribution< _RealType >
    A weibull_distribution random number distribution. More...

## Functions

- template<typename _IntType > bool std::operator!= (const std::poisson_distribution< _IntType > &__d1, const std::poisson_distribution< _IntType > &__d2)
- template<typename _RealType > bool std::operator!= (const std::extreme_value_distribution< _RealType > &__d1, const std::extreme_value_distribution< _RealType > &__d2)
- template<typename _RealType > bool std::operator!= (const std::piecewise_constant_distribution< _RealType > &__d1, const std::piecewise_constant_distribution< _RealType > &__d2)
- template<typename _RealType > bool std::operator!= (const std::piecewise_linear_distribution< _RealType > &__d1, const std::piecewise_linear_distribution< _RealType > &__d2)
- template<typename _RealType > bool std::operator!= (const std::exponential_distribution< _RealType > &__d1, const std::exponential_distribution< _RealType > &__d2)
- template<typename _RealType > bool std::operator!= (const std::weibull_distribution< _RealType > &__d1, const std::weibull_distribution< _RealType > &__d2)
- template<typename _IntType > bool std::operator!= (const std::discrete_distribution< _IntType > &__d1, const std::discrete_distribution< _IntType > &__d2)
- template<typename _RealType , typename _CharT , typename _Traits > std::basic_ostream< _CharT,
  _Traits > & std::operator<< (std::basic_ostream< _CharT, _Traits > &, const std::weibull_distribution< _RealType > &)
- template<typename _RealType , typename _CharT , typename _Traits > std::basic_ostream< _CharT,
  _Traits > & std::operator<< (std::basic_ostream< _CharT, _Traits > &, const std::exponential_distribution< _RealType > &)
- template<typename _RealType , typename _CharT , typename _Traits > std::basic_ostream< _CharT,
  _Traits > & std::operator<< (std::basic_ostream< _CharT, _Traits > &, const std::extreme_value_distribution< _RealType > &)
- template<typename _RealType > bool std::operator== (const std::exponential_distribution< _RealType > &__d1, const std::exponential_distribution< _RealType > &__d2)
- template<typename _RealType > bool std::operator== (const std::piecewise_constant_distribution< _RealType > &__d1, const std::piecewise_constant_distribution< _RealType > &__d2)
- template<typename _RealType > bool std::operator== (const std::piecewise_linear_distribution< _RealType > &__d1, const std::piecewise_linear_distribution< _RealType > &__d2)
- template<typename _IntType > bool std::operator== (const std::discrete_distribution< _IntType > &__d1, const std::discrete_distribution< _IntType > &__d2)
- template<typename _RealType > bool std::operator== (const std::extreme_value_distribution< _RealType > &__d1, const std::extreme_value_distribution< _RealType > &__d2)
- template<typename _RealType > bool std::operator== (const std::weibull_distribution< _RealType > &__d1, const std::weibull_distribution< _RealType > &__d2)
- template<typename _RealType , typename _CharT , typename _Traits > std::basic_istream< _CharT,
  _Traits > & std::operator>> (std::basic_istream< _CharT, _Traits > &, std::exponential_distribution< _RealType > &)
- template<typename _RealType , typename _CharT , typename _Traits > std::basic_istream< _CharT,
  _Traits > & std::operator>> (std::basic_istream< _CharT, _Traits > &, std::weibull_distribution< _RealType > &)
- template<typename _RealType , typename _CharT , typename _Traits > std::basic_istream< _CharT,
  _Traits > & std::operator>> (std::basic_istream< _CharT, _Traits > &, std::extreme_value_distribution< _RealType > &)

## Function Documentation

template<typename _IntType >

bool std::operator!= | ( | const std::poisson_distribution< _IntType > & | __d1,
|  | const std::poisson_distribution< _IntType > & | __d2 |
| ) |  |  | `[inline]`

Return true if two Poisson distributions are different.

Definition at line 4140 of file random.h.

template<typename _RealType >

bool std::operator!= | ( | const std::extreme_value_distribution< _RealType > & | __d1,
|  | const std::extreme_value_distribution< _RealType > & | __d2 |
| ) |  |  | `[inline]`

Return true if two extreme value distributions have different parameters.

Definition at line 4640 of file random.h.

template<typename _RealType >

bool std::operator!= | ( | const std::piecewise_constant_distribution< _RealType > & | __d1,
|  | const std::piecewise_constant_distribution< _RealType > & | __d2 |
| ) |  |  | `[inline]`

Return true if two piecewise constant distributions have different parameters.

Definition at line 5070 of file random.h.

template<typename _RealType >

bool std::operator!= | ( | const std::piecewise_linear_distribution< _RealType > & | __d1,
|  | const std::piecewise_linear_distribution< _RealType > & | __d2 |
| ) |  |  | `[inline]`

Return true if two piecewise linear distributions have different parameters.

Definition at line 5281 of file random.h.

template<typename _RealType >

bool std::operator!= | ( | const std::exponential_distribution< _RealType > & | __d1,
|  | const std::exponential_distribution< _RealType > & | __d2 |
| ) |  |  | `[inline]`

Return true if two exponential distributions have different parameters.

Definition at line 4290 of file random.h.

template<typename _RealType >

bool std::operator!= | ( | const std::weibull_distribution< _RealType > & | __d1,
|  | const std::weibull_distribution< _RealType > & | __d2 |
| ) |  |  | `[inline]`

Return true if two Weibull distributions have different parameters.

Definition at line 4465 of file random.h.

template<typename _IntType >

bool std::operator!= | ( | const std::discrete_distribution< _IntType > & | __d1,
|  | const std::discrete_distribution< _IntType > & | __d2 |
| ) |  |  | `[inline]`

Return true if two discrete distributions have different parameters.

Definition at line 4862 of file random.h.

template<typename _RealType , typename _CharT , typename _Traits >

std::basic_ostream< _CharT, _Traits > & std::operator<< | ( | std::basic_ostream< _CharT, _Traits > & | __os,
|  | const std::weibull_distribution< _RealType > & | __x |
| ) |  |  |

Inserts a weibull_distribution random number distribution `__x` into the output stream `__os`.

Parameters:

  | __os | An output stream.
  | __x | A weibull_distribution random number distribution.

Returns:
  The output stream with the state of `__x` inserted or in an error state.

Definition at line 2075 of file random.tcc.

References std::left(), and std::scientific().

template<typename _RealType , typename _CharT , typename _Traits >

std::basic_ostream< _CharT, _Traits > & std::operator<< | ( | std::basic_ostream< _CharT, _Traits > & | __os,
|  | const std::exponential_distribution< _RealType > & | __x |
| ) |  |  |

Inserts a exponential_distribution random number distribution `__x` into the output stream `__os`.

Parameters:

  | __os | An output stream.
  | __x | A exponential_distribution random number distribution.

Returns:
  The output stream with the state of `__x` inserted or in an error state.

Definition at line 1555 of file random.tcc.

References std::ios_base::flags(), std::left(), and std::scientific().

template<typename _RealType , typename _CharT , typename _Traits >

std::basic_ostream< _CharT, _Traits > & std::operator<< | ( | std::basic_ostream< _CharT, _Traits > & | __os,
|  | const std::extreme_value_distribution< _RealType > & | __x |
| ) |  |  |

Inserts a extreme_value_distribution random number distribution `__x` into the output stream `__os`.

Parameters:

  | __os | An output stream.
  | __x | A extreme_value_distribution random number distribution.

Returns:
  The output stream with the state of `__x` inserted or in an error state.

Definition at line 2132 of file random.tcc.

References std::left(), and std::scientific().

template<typename _RealType >

bool std::operator== | ( | const std::exponential_distribution< _RealType > & | __d1,
|  | const std::exponential_distribution< _RealType > & | __d2 |
| ) |  |  | `[inline]`

Return true if two exponential distributions have the same parameters.

Definition at line 4280 of file random.h.

References std::exponential_distribution< _RealType >::param().

template<typename _RealType >

bool std::operator== | ( | const std::piecewise_constant_distribution< _RealType > & | __d1,
|  | const std::piecewise_constant_distribution< _RealType > & | __d2 |
| ) |  |  | `[inline]`

Return true if two piecewise constant distributions have the same parameters.

Definition at line 5060 of file random.h.

References std::piecewise_constant_distribution< _RealType >::param().

template<typename _RealType >

bool std::operator== | ( | const std::piecewise_linear_distribution< _RealType > & | __d1,
|  | const std::piecewise_linear_distribution< _RealType > & | __d2 |
| ) |  |  | `[inline]`

Return true if two piecewise linear distributions have the same parameters.

Definition at line 5271 of file random.h.

References std::piecewise_linear_distribution< _RealType >::param().

template<typename _IntType >

bool std::operator== | ( | const std::discrete_distribution< _IntType > & | __d1,
|  | const std::discrete_distribution< _IntType > & | __d2 |
| ) |  |  | `[inline]`

Return true if two discrete distributions have the same parameters.

Definition at line 4852 of file random.h.

References std::discrete_distribution< _IntType >::param().

template<typename _RealType >

bool std::operator== | ( | const std::extreme_value_distribution< _RealType > & | __d1,
|  | const std::extreme_value_distribution< _RealType > & | __d2 |
| ) |  |  | `[inline]`

Return true if two extreme value distributions have the same parameters.

Definition at line 4630 of file random.h.

References std::extreme_value_distribution< _RealType >::param().

template<typename _RealType >

bool std::operator== | ( | const std::weibull_distribution< _RealType > & | __d1,
|  | const std::weibull_distribution< _RealType > & | __d2 |
| ) |  |  | `[inline]`

Return true if two Weibull distributions have the same parameters.

Definition at line 4455 of file random.h.

References std::weibull_distribution< _RealType >::param().

template<typename _RealType , typename _CharT , typename _Traits >

std::basic_istream< _CharT, _Traits > & std::operator>> | ( | std::basic_istream< _CharT, _Traits > & | __is,
|  | std::exponential_distribution< _RealType > & | __x |
| ) |  |  |

Extracts a exponential_distribution random number distribution `__x` from the input stream `__is`.

Parameters:

  | __is | An input stream.
  | __x | A exponential_distribution random number generator engine.

Returns:
  The input stream with `__x` extracted or in an error state.

Definition at line 1578 of file random.tcc.

References std::dec(), std::ios_base::flags(), std::exponential_distribution< _RealType >::param(), and std::skipws().

template<typename _RealType , typename _CharT , typename _Traits >

std::basic_istream< _CharT, _Traits > & std::operator>> | ( | std::basic_istream< _CharT, _Traits > & | __is,
|  | std::weibull_distribution< _RealType > & | __x |
| ) |  |  |

Extracts a weibull_distribution random number distribution `__x` from the input stream `__is`.

Parameters:

  | __is | An input stream.
  | __x | A weibull_distribution random number generator engine.

Returns:
  The input stream with `__x` extracted or in an error state.

Definition at line 2099 of file random.tcc.

References std::dec(), std::ios_base::flags(), std::weibull_distribution< _RealType >::param(), and std::skipws().

template<typename _RealType , typename _CharT , typename _Traits >

std::basic_istream< _CharT, _Traits > & std::operator>> | ( | std::basic_istream< _CharT, _Traits > & | __is,
|  | std::extreme_value_distribution< _RealType > & | __x |
| ) |  |  |

Extracts a extreme_value_distribution random number distribution `__x` from the input stream `__is`.

Parameters:

  | __is | An input stream.
  | __x | A extreme_value_distribution random number generator engine.

Returns:
  The input stream with `__x` extracted or in an error state.

Definition at line 2156 of file random.tcc.

References std::dec(), std::ios_base::flags(), std::extreme_value_distribution< _RealType >::param(), and std::skipws().